.color-generic{
    color: #a464a6;
}

.icon-confirmation{
    display: inline-block;
    width: 24px;
    height: 24px;
    background-size: contain;
    background-repeat: no-repeat;
    flex-shrink: 0;
}
.icon-cargo {
    background-image: url('../images/cargo_icon.svg');
}
.icon-user {
    background-image: url('../images/user_icon.svg');
}

.icon-email {
    background-image: url('../images/icon-email.svg');
}

.icon-phone {
    background-image: url('../images/phone_icon.svg');
}

.icon-location {
    background-image: url('../images/location-icon.svg');
}

.icon-installment {
    background-image: url('../images/installment.svg');
}

.credit-card-icon{
    height: 16px;
}

.bg-troy{
    background-image: url('../images/troy.svg');
}

.bg-visa{
    background-image: url('../images/visa.svg');
}

.bg-maestro{
    background-image: url('../images/maestro.svg');
}

.bg-mastercard{
    background-image: url('../images/mastercard.svg');
}

.bg-amex{
    background-image: url('../images/amex.svg');
}

.select-value-dots{
    column-gap: 3px;
    display: flex;
    margin-left: 4px;
    margin-right: 4px;
    padding-top: .25rem;
}

@media (min-width: 768px) {
    .mr-md-4 {
        margin-right: 1rem !important;
    }
}

.shop-red-logo {
    background-image: url(../../../../assets/shopier_legacy/images/show-red.svg);
    background-repeat: no-repeat;
    display: inline-block;
    height: 16px;
    margin-left: .5ch;
    margin-right: .5ch;
    vertical-align: middle;
    width: 36px
}
@media (min-width: 991px) and (max-width: 1400px) {
    .shop-save-div{
        flex-direction: column !important;
        gap:0.5rem;
        align-items:start !important;
    }
}
@media (max-width: 991px) {
    .shop-save-div{
        gap:0.5rem;
    }
}

.follow-btn-box .btn-show-filter:active, .follow-btn-box .btn-show-filter:hover {
    border: none !important;
    background-color: #a464a6 !important;
    color: #fff !important;
}

.text-white {
    color: #fff !important;
}

.bg-download-qr {
    --height: 85px;
    --width: 85px;
    background-image: url(../../../../assets/shopier_legacy/images/download-qr.svg);
    background-size: var(--width) var(--height);
    height: var(--height);
    width: var(--width);
}

.bg-download-apple, .bg-download-google, .bg-download-apple-black, .bg-download-google-black {
    --height: 37px;
    --width: 124.86px;
    background-repeat: no-repeat;
    background-size: var(--width) var(--height);
    height: var(--height);
    vertical-align: middle;
    width: var(--width);
}

.bg-download-apple {
    background-image: url(../../../../assets/shopier_legacy/images/download-apple.svg);
}

.bg-download-google {
    background-image: url(../../../../assets/shopier_legacy/images/download-google.svg);
}

.bg-download-apple-black {
    background-image: url(../../../../assets/shopier_legacy/images/download-apple-black.svg);
}

.bg-download-google-black {
    background-image: url(../../../../assets/shopier_legacy/images/download-google-black.svg);
}

.bg-modal-download-qr {
    --height: 100px;
    --width: 100px;
    background-image: url(../../../../assets/shopier_legacy/images/modal-download-qr.svg);
    background-size: var(--width) var(--height);
    height: var(--height);
    width: var(--width);
}

.basket-product-actions button {
    flex-basis: 50%
}

.basket-history-list .product-card {
    min-height: 360px;
    display: flex;
    flex-direction: column;
}

.basket-history-list .product-option-names {
    display: inline-block !important;
    max-width: 170px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    vertical-align: middle;
}

@media (min-width: 991px) and (max-width: 1200px) {
    .basket-history-list .product-card {
        min-height: 310px;
    }

    .js-basket-saved-list .product-card {
        min-height: 300px;
    }
}

@media (min-width: 768px) and (max-width: 991px) {
    .basket-history-list .product-card {
        min-height: 420px;
    }

    .js-basket-saved-list .product-card {
        min-height: 360px;
    }
}

@media (max-width: 768px) {
    .basket-history-list .product-card {
        min-height: 390px;
    }

    .js-basket-saved-list .product-card {
        min-height: 320px;
    }
    .cart__title{
        width:83% !important;
    }
}

.basket-list .add-to-fav {
    position: absolute;
    top: -4px;
    right: 0;
}

.page-loader {
    background-color: rgba(0, 0, 0, 0.64);
    position: fixed;
    left: 0;
    top: 0;
    width: 100vw;
    height: 100vh;
    z-index: 9999;
}

.loader-circles--secondary {
    border: 4px solid #f0f0f0;
    border-top: 4px solid #a464a6;
    border-radius: 50%;
    width: 30px;
    height: 30px;
    animation: spin_loader 0.75s linear infinite;
}

@keyframes spin_loader {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}



.btn-code-remove {
    right: 0px;
    top: 26px;
    position: absolute;
}
.btn-code{
    transform: translateY(-50%);
    top: 50% !important;
}

.btn-follow {
    width: 100%;
    padding: 13px 20px;
    font-size: 1rem;
    line-height: 1.25rem;
    font-weight: 700;
    background-color: #fbf9f7;
    text-align: left;
    display: flex;
    -moz-align-items: center;
    align-items: center;
    -moz-justify-content: space-between;
    justify-content: space-between;
    border-color: #bfb5a9;
}

/*BASKET REPURCHASE ICON CSS*/
.basket-product-option-btn {
    height: 36px;
    width: 40px;
    border: 1px solid #bfb5a9;
    background: transparent;
    justify-content: center;
    align-items: center;
    display: flex;
    border-radius: 10px;
}

.basket-product-options {
    height: 46px;
    width: 100%;
    border: 2px solid #dcd2c9;
    font-size: 14px;
    line-height: 18px;
    letter-spacing: 2.8px;
    padding: 13px 0;
    font-weight: 700;
    text-transform: uppercase;
}

.basket-product-options:hover {
    color: #fff;
    background-color: #dcd2c9;
    transition: .3s;
}

@media (max-width: 767px) {
    .cart__actions {
        position: absolute;
        right: 0;
        transform: translateY(-50%);
        flex-direction: column-reverse;
        margin-left: 0;
        z-index: 1;
        display: flex;
        align-items: center;
        gap: 20px;
    }

    .btn-close.cart__remove-item {
        position: static;
        width: 16px;
        height: 26px;
    }
}

.toast-container{
    z-index:999999;
}

.overflow-wrap{
    overflow-wrap: anywhere;
}
.cart__options{
    display: flex;
    flex-direction: column;
}

.products-link-catalog-header {
    gap: 16px;
}

.products-link-catalog-title {
    font-size: 16px;
    font-weight: 600;
    line-height: 24px;
    color: #1f1f1f;
}

.products-count-text {
    min-width: 70px;
    text-align: right;
    font-size: 14px;
    font-weight: 400;
    line-height: 20px;
    color: #878787;
}

.shopier-app--mx-3{
    margin-left: 0px !important;
}
.shopier-app--download-container > .shopier-app--button{
    white-space:nowrap;
    padding:12px;
}
.shopier-app--border-1[data-app-upload-file],
.shopier-app--border-1[data-app-download-file]{
    border: none !important;
    width:100% !important;
    padding: 0 !important;
}
.shopier-app--button{
    width:100%;
}
.shopier-app--download-container, .shopier-app--upload-container{
    border-radius:24px;
}
.shopier-app--download-name, .shopier-app--upload-input-name{
    padding-left:6px;
}
@media (max-width: 768px) {
    .shopier-app--download-container, .shopier-app--upload-container{
        flex-direction: column !important;
        gap:10px;
    }
}